%define major 10
%define libname %mklibname tifiles2_ %{major}
%define develname %mklibname tifiles2 -d

Name:           libtifiles2
Version:        1.1.7
Release:        %mkrel 1
Summary:        Texas Instruments calculator files library

Group:          System/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2

BuildRequires:  glib2-devel
BuildRequires:  zlib-devel
BuildRequires:  libticonv-devel
BuildRequires:  libarchive-devel
BuildRequires:  gettext-devel

%package i18n
Summary:        Internationalization and locale data for %{name}
Group:          System/Internationalization
BuildArch:      noarch
Conflicts:      %{_lib}tifiles9 < 1.1.6-2

%description i18n
Internationalization and locale data for %{name}

%package -n %{libname}
Group:          System/Libraries
Summary:        Texas Instruments calculators files library
Provides:       %{name} = %{version}-%{release}
Requires:       %{name}-i18n >= %{version}-%{release}

%package -n %{develname}
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       tifiles2-devel = %{version}-%{release}
Obsoletes:      %{_lib}tifiles-devel < 1.1.7


%description
The tifiles library is a library capable of reading, modifying,
and writing TI formatted files. It can also group/ungroup files.
This library is able to manipulate files in a fairly transparent
fashion. With this library, the developer does not have to worry
about the different file formats.

%description -n %{libname}
The tifiles library is a library capable of reading, modifying,
and writing TI formatted files. It can also group/ungroup files.
This library is able to manipulate files in a fairly transparent
fashion. With this library, the developer does not have to worry
about the different file formats.

%description -n %{develname}
Include files and libraries for developing applications that
make use of libtifiles.


%prep
%setup -q

rm po/fr.gmo

%build
autoreconf -vfi
%configure2_5x \
        --disable-static
%make_build

make -C po fr.gmo

%check
make check

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%license COPYING
%doc README AUTHORS ChangeLog
%{_libdir}/libtifiles2.so.%{major}
%{_libdir}/libtifiles2.so.%{major}.*

%files -n %{develname}
%{_libdir}/libtifiles2.so
%{_libdir}/pkgconfig/tifiles2.pc
%{_includedir}/tilp2/*


%changelog
* Sun Jan 01 2017 wally <wally> 1.1.7-1.mga6
+ Revision: 1079422
- new version 1.1.7
- new libmajor 10
- fix lib and devel pkg names
- don't install html docs

* Sun Jan 01 2017 wally <wally> 1.1.6-2.mga6
+ Revision: 1079359
- split out translations from lib pkg

* Thu Sep 22 2016 zezinho <zezinho> 1.1.6-1.mga6
+ Revision: 1055291
- add devel provides
- add lib major check
- try to follow mageia libs policy
- imported package libtifiles2

